package com.yeejoin.amos.boot.module.jg.api.enums;

import lombok.Getter;

/**
 * @author Administrator
 */
@Getter
public enum DPMapStatisticsItemEnum {
    /**
     * 大屏统计项
     */

    TOTAL("特种设备总量 (台)", "total"),
    GAS("气瓶 (台)", "gas"),
    ELEVATORS("电梯 (台)", "elevators"),
    PRESSURE_VESSELS("压力容器 (台)", "pressureVessels"),
    ON_SITE_MOTOR_VEHICLES("场（厂）内机动车 (台)", "onSiteMotorVehicles"),
    BOILERS("锅炉 (台)", "boilers"),
    LIFTING_MACHINERY("起重机械 (台)", "liftingMachinery"),
    LARGE_AMUSEMENT_FACILITIES("大型游乐设施 (台)", "largeAmusementFacilities"),
    PRESSURE_PIPELINES("压力管道 (千米)", "pressurePipelines"),
    PASSENGER_ROPEWAYS("客运索道 (台)", "passengerRopeways"),
    MANUFACTURING_UNITS("制造单位 (家)", "manufacturingUnits"),
    CONSTRUCTION_UNITS("安改维单位 (家)", "constructionUnits"),
    USERS_UNITS("使用单位 (家)", "usersUnits"),
    GAS_UNITS("充装单位 (家)", "gasUnits"),
    OPERATORS("作业人员 (人)", "operators");
    private String label;
    private String code;

    DPMapStatisticsItemEnum(String label, String code) {
        this.label = label;
        this.code = code;
    }

}
